import { jsx as t } from "react/jsx-runtime";
import { InfoType as a } from "../types.js";
import i from "./name-only.js";
import m from "./basic-info.js";
function l({ ...r }) {
  const { infoType: e = a.Minimal } = r;
  switch (e) {
    case a.NameOnly:
      return /* @__PURE__ */ t(i, { ...r });
    default:
      return /* @__PURE__ */ t(m, { ...r });
  }
}
export {
  l as default
};
